
// Toggle rates:
// P6.0 = 32768/(2*5)     = 3277Hz
// P6.1 = 32768/(2*50)    = 328Hz
// P6.2 = 32768/(2*500)   = 32.79Hz
// P6.3 = 32768/(2*65536) = 0.25Hz

#include "include/include.h"
#include "include/hardware.h"


void main(void)
{
  WDTCTL = WDTPW + WDTHOLD;                 // Stop WDT
  P6DIR |= 0x0F;                            // P6.0, P6.1, P6.2 and P6.3 output
  CCTL0 = CCIE;                             // CCR0 interrupt enabled
	CCTL1 = CCIE;                             // CCR0 interrupt enabled
	CCTL2 = CCIE;                             // CCR0 interrupt enabled
  CCR0 = 0;
  CCR1 = 0;
  CCR2 = 0;
  TACTL = TASSEL_1 + MC_2+ TAIE;            // ACLK, contmode, TAIE enabled
	
	eint();                                   // Enable the global interrupt
	LPM0;                                     // Enter LPM0
 //_BIS_SR(LPM0_bits + GIE);                // Or in one line
}

// Timer_A TACCR0 interrupt vector handler
interrupt (TIMERA0_VECTOR) TimerA0_procedure(void){
	P6OUT ^= 0x01;                            // Toggle P6.0
  CCR0 += 5;                                // Add offset to CCR0
}

// Timer_A TAIV interrupt vector handler
interrupt (TIMERA1_VECTOR) TimerA1_procedure(void){
	switch( TAIV )
  {
  	case  2: P6OUT ^= 0x02;                  // Toggle P6.1
  				   CCR1 += 50;                     // Add Offset to CCR1
             break;
           
  	case  4: P6OUT ^= 0x04;                  // Toggle P6.2
  	  			 CCR2 += 500;                    // Add Offset to CCR2
             break;
           
  	case 10: P6OUT ^= 0x08;                  // Toggle P6.3
             break;
  }
}

